#
# Conditional build:
%bcond_without	tests		# unit tests
%bcond_without	static_libs	# static library
%bcond_with	nss		# NSS crypto provider
%bcond_without	openssl		# OpenSSL crypto provider
%bcond_without	xalan		# xalan-c (XPath and XSLT transformations) support

Summary:	C++ Implementation of W3C security standards for XML
Summary(pl.UTF-8):	Implementacja w C++ standardów bezpieczeństwa W3C dla XML
Name:		xml-security-c
Version:	2.0.4
Release:	1
License:	Apache v2.0
Group:		Libraries
Source0:	https://downloads.apache.org/santuario/c-library/%{name}-%{version}.tar.bz2
# Source0-md5:	53d202a6c8d082bd8291c727f4918db5
URL:		https://santuario.apache.org/cindex.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
%{?with_nss:BuildRequires:	nss-devel >= 3}
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
%{?with_xalan:BuildRequires:	xalan-c-devel >= 1.11}
BuildRequires:	xerces-c-devel >= 3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xml-security-c library is a C++ implementation of the XML Digital
Signature specification.

The library makes use of the Apache XML project's Xerces-C XML Parser
and Xalan-C XSLT processor. The latter is used for processing XPath
and XSLT transforms.

%description -l pl.UTF-8
Biblioteka xml-security-c to implementacja w C++ specyfikacji XML
Digital Signature.

Biblioteka wykorzystuje parser XML Xerces-C oraz procesor XSLT Xalan-C
z projektu Apache XML. Biblioteka Xalan-C jest wykorzystywana do
przekształceń XPath i XSLT.

%package devel
Summary:	Development files for xml-security-c
Summary(pl.UTF-8):	Pliki programistyczne xml-security-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
%{?with_nss:Requires:	nss-devel >= 3}
%{?with_openssl:Requires: openssl-devel}
%{?with_xalan:Requires: xalan-c-devel >= 1.11}
Requires:	xerces-c-devel >= 3.2

%description devel
This package provides development files for xml-security-c, a C++
library for XML Digital Signatures.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne xml-security-c - biblioteki
C++ do podpisów cyfrowych XML.

%package static
Summary:	Static xml-security-c library
Summary(pl.UTF-8):	Statyczna biblioteka xml-security-c
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static xml-security-c library.

%description static -l pl.UTF-8
Statyczna biblioteka xml-security-c.

%prep
%setup -q

%build
# refresh lt for as-needed to work
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_nss:--without-nss} \
	%{!?with_openssl:--without-openssl} \
	%{!?with_xalan:--without-xalan} \
	%{?with_static_libs:--enable-static}
%{__make}

%if %{with tests}
# Verify that what was compiled actually works.
xsec/xsec-xtest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	CPPROG="cp -p" \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxml-security-c.la

# Do not ship library test utilities. These are only needed for
# xml-security-c developers and they should have the whole source anyway.
%{__rm} $RPM_BUILD_ROOT%{_bindir}/xsec-xtest

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt INSTALL.txt NOTICE.txt
%attr(755,root,root) %{_bindir}/xsec-c14n
%attr(755,root,root) %{_bindir}/xsec-checksig
%attr(755,root,root) %{_bindir}/xsec-cipher
%attr(755,root,root) %{_bindir}/xsec-siginf
%attr(755,root,root) %{_bindir}/xsec-templatesign
%attr(755,root,root) %{_bindir}/xsec-txfmout
%attr(755,root,root) %{_bindir}/xsec-xklient
%attr(755,root,root) %{_libdir}/libxml-security-c.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libxml-security-c.so.20

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxml-security-c.so
%{_includedir}/xsec
%{_pkgconfigdir}/xml-security-c.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxml-security-c.a
%endif
%changelog
* Sun Feb 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xml-security-c.git;a=log;h=master

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 0fa42cf
- updated to 2.0.4

* Sun Oct 03 2021 Jan Rękorajski <baggins@pld-linux.org> 83c3a34
- up to 2.0.2
- fixed building with gcc 11 and openssl 3.0.0

* Fri Sep 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b9b1827
- up to 2.0.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bfa63e2
- release 2 (by relup.sh)

* Fri Nov 24 2017 Jakub Bogusz <qboosh@pld-linux.org> c2f49ad
- added c++ patch (fixes build in C++11 mode)

* Fri Nov 24 2017 Jakub Bogusz <qboosh@pld-linux.org> cec8a2b
- updated to 1.7.3
- removed obsolete xalan-c-1.11-compat patch

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> 4a68a87
- release 2 (by relup.sh)

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> 9a4dec7
- from opensuse (security:eID)
  https://build.opensuse.org/project/packages?project=security:eID

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> 3201b5d
- xml-security-c-1.5.1-xalan-c-1.11-compat.patch from opensuse (security:eID)

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> 39e203a
- new, based on spec from fc repo
  build with xalan_c needs c++ fix

